Subject: bug#41984: 28.0.50; term.el's select-window call interacts badly with modeline

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jun 2020 19:30:22 +0300

> Cc: [email-masked]
> From: Herman, Géza <[email-masked]>
> Date: Sun, 21 Jun 2020 18:18:20 +0200
> 
> I don't have a strong opinion on this. I just felt that selecting a 
> window because an output arrived is not a right thing to do.

I don't see why this would not be a right thing to do.  Presumably,
term.el wants to attract the user's attention to the fact that new
input arrived.

> Any hooks 
> which are called during this temporarily set selected-window will have 
> the wrong idea which is the actual selected window (I'm not exactly 
> sure, why the bug happens though, I just suppose this is the reason).
> 
> I've checked now, spaceline behaves exactly the same as doom modeline. 
> But if you think that this is not a term.el bug, please tell the 
> reasons, and I'll reopen my doom-modeline issue with these reasons.

I think the hooks that do something with the modeline need to be able
to handle this situation, or, failing that, disable themselves when
the selected window displays a term.el buffer.